Subject: Re: Fonts

From: James Lin <[email-masked]>
Date: Thu, 4 Nov 1993 23:18:28 -0800

On Thu, 4 Nov 1993, Martin J. Heijdra wrote:

> but the reverse is not true; also, there are overlaps. Dynafonts SMART
> fonts e.g. are Vector TrueType fonts, not pure TrueType (as far as I
> know, only Quanzhen fonts are 100% true TrueType fonts; NewTek's are relatively
> pure, but compressed by a proprietory method; etc. etc.). Yet others, as
> e.g. Yanze fonts have ways of masking as TrueType, but are way off.

As my understanding, DynaLab's Smart TTF are not "Vector" TrueType.  They
are perfectly legal TTF and one special thing of it is they are "stroke
based" TTF.  DynaLab's DynaFont Butterfly series card are also not Vector
font.  Only DynaVector disk version (old product) are vector font.

Smart TTF are stroke based, so the 'fpgm' table in very large but the
'glph' table could be small.  This result in overall much smaller size -
typically 2-3 MB only.  NewTek's TTF are, I will say, 95% real TTF.  They
are copy protected so the font files reside in the HD are not legal TTF.
Yanze (from NewType - after using the KS2TTF to convert to TTF format) and
Quanzhen (from Vector) are 100% TTF but the quality are really low.  These
two company did not produce all their 28 TTF typefaces but license them
from BiSheng (the developer for BS-300 Chinese DTP).

> Also, I for one do NOT necessarily think all this scaleable fonts are high qual
> ity; they might look like that from a bitmap point of view, but certainly
> not from a typographer's point of view. Taiwanese developers are clearly taking
> short cuts which lower the quality of fonts enormously (can anybody seriously
> use Yanze, or Hezhong fonts?), and which hinder the publishing market.

I think all these TTFs typically produced for Chinese Windows are for
office use, never designed for high-end typesetting.  DynaLab and Eastern
Graphics DO have several typefaces designed for image setters in composite
PS format (postscript level II) and Apple TTF format.

BTW, I did not know Hezhong and I will check for it.

> user (as a very personal view, I only think ZhongguoLong fonts passs muster,
> and they seem to be non-PS and non-TT; I have not seen Quanzhen fonts yet),

ZhongguoLong (from Indeed) fonts use their own format and provide WIFE
driver for Chinese Windows.  I think the quality for these special
designed typefaces are pretty good.  Also, they provide several API for
programmer to access their typefaces under either DOS or CWIN.

> as the widely marketed TopFonts. A recent issue of Yinshuaren pointed out that
> one of the reasons most Taiwanese publishers do not use these "normal" digitize
> d fonts is that there simply are not yet fonts of sufficient quality.

True !

>
> Of course, the way the market is developing right now in Taiwan has its posi-
> tive aspects as well: there are in comparison with Japan, which started way
> earlier and which has the backing of a much larger market and original
> expertise, many more fonts available, for prices bearable for individual
> users;

That's why DynaLab made very good revenue from Japan every year.  Personal
notebook/typewritter like word processors are really popular in Japan.
Many Japanese word processor companies buy the DynaLab's ASIC chips for
their products.  One good reason is DynaLab's stroke based technology
makes the size much smaller.

> I just wanted to point out that the quicker, cheaper and more varied state
> of the Chinese font market does result in lower standards, and in some cases
> unacceptably lower. Perhaps it is time for the Taiwanese government to make
> available at least some high-quality PS and TT standard fonts, as has the
> Japanese government.

I agree with you.  However, Taiwan market is really dynamic.  CWIN 3.1 has
been released for just few months and suddenly there is an open market for
TrueType Chinese typefaces.  Most company will try to release their own
solution as soon as possible for marketing reasons.  One important thing
is : users will not stop there !  When I don't have it, I am eager to get
it if any one could provide me one.  When there's plenty, why should I use
the poor one ?  So, don't worry.  Things will change very fast there.
Some company are already working on licensing the TopFont's typefaces and
produce them into TTF format.   I don't think it is likely to happen that
Taiwan government will play any role in this due to many reasons typically
politics.

> people need several years before finishing a smaller Japanese font, I do
> not think that a few non-typographers, no matter how good in Chinese programmin
> g, should even try to create scaleable public fonts; the results can only be
> disastrous. Leave typography to typographers.

I think companies like Dyna and Eastern Graphics are really trying.  They
hired a lot of experts in mainland China to help them do the typography.

I am amazed that seems like you are pretty good at knowing all these
products.  May I know usually through what media that you access these
info ?

James Lin